import * as i0 from "@angular/core";
import * as i1 from "./components/chatbot.component";
import * as i2 from "./components/get-nlg-insights.component";
import * as i3 from "@angular/common";
import * as i4 from "@sisense/sdk-ui-angular";
/**
 * SDK AI Module, which is a container for generative AI components and services.
 *
 * @example
 * Example of importing {@link SdkAiModule} and injecting {@link AiContextConfig} into your application,
 * along with importing dependency {@link SdkUiModule} and injecting {@link SisenseContextConfig} to connect to a Sisense instance:
 *
 * ```ts
 * import { SdkUiModule, SisenseContextConfig } from '@sisense/sdk-ui-angular';
 * import { SdkAiModule, AI_CONTEXT_CONFIG_TOKEN, AiContextConfig } from '@sisense/sdk-ui-angular/ai';
 *
 * const AI_CONTEXT_CONFIG: AiContextConfig = {
 *   volatile: true,
 * };
 * const SISENSE_CONTEXT_CONFIG: SisenseContextConfig = {
 *   url: "<instance url>", // replace with the URL of your Sisense instance
 *   token: "<api token>", // replace with the API token of your user account
 *   defaultDataSource: DM.DataSource,
 * };
 *
 * @NgModule({
 *   imports: [
 *     BrowserModule,
 *     SdkUiModule,
 *     SdkAiModule,
 *   ],
 *   declarations: [AppComponent],
 *   providers: [
 *     { provide: AI_CONTEXT_CONFIG_TOKEN, useValue: AI_CONTEXT_CONFIG },
 *     { provide: SISENSE_CONTEXT_CONFIG_TOKEN, useValue: SISENSE_CONTEXT_CONFIG },
 *   ],
 *   bootstrap: [AppComponent],
 * })
 * ```
 * @group Generative AI
 */
export declare class SdkAiModule {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<SdkAiModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SdkAiModule, [typeof i1.ChatbotComponent, typeof i2.GetNlgInsightsComponent], [typeof i3.CommonModule, typeof i4.SdkUiModule], [typeof i1.ChatbotComponent, typeof i2.GetNlgInsightsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SdkAiModule>;
}
