import { ContextConnector, CustomPluginsProviderProps, CustomSisenseContextProviderProps, CustomThemeProviderProps } from '@sisense/sdk-ui-preact';
import { PluginsService } from '../services/plugins.service';
import { SisenseContextService } from '../services/sisense-context.service';
import { ThemeService } from '../services/theme.service';
/**
 * Creates theme context connector
 *
 * @param themeService - The theme service
 * @internal
 */
export declare const createThemeContextConnector: (themeService: ThemeService) => ContextConnector<CustomThemeProviderProps>;
/**
 * Creates Sisense context connector
 *
 * @param sisenseContextService - The Sisense context service
 * @internal
 */
export declare const createSisenseContextConnector: (sisenseContextService: SisenseContextService) => ContextConnector<CustomSisenseContextProviderProps>;
/**
 * Creates plugins context connector
 *
 * @param pluginsService - The plugin service
 * @internal
 */
export declare const createPluginsContextConnector: (pluginsService: PluginsService) => ContextConnector<CustomPluginsProviderProps>;
