export declare function Trackable(target: unknown, propertyKey: string, descriptor: PropertyDescriptor): PropertyDescriptor;
type ConstructorOf<T> = {
    new (...args: any[]): T;
};
type SubType<Base, Condition> = Pick<Base, {
    [Key in keyof Base]: Base[Key] extends Condition ? Key : never;
}[keyof Base]>;
type MethodsOnly<T> = SubType<T, (...args: any[]) => any>;
type MethodsArray<T> = T extends infer C ? (keyof MethodsOnly<C>)[] : [];
/** @internal */
export declare function TrackableService<T>(trackableMethods: MethodsArray<T>): (ServiceClass: ConstructorOf<T>) => void | ConstructorOf<T>;
export {};
