import { type GetHierarchyModelsParams as GetHierarchyModelsParamsPreact, HierarchyModel } from '@sisense/sdk-ui-preact';
import { SisenseContextService } from './sisense-context.service';
import * as i0 from "@angular/core";
/**
 * Parameters for retrieving an existing hierarchy models from the Sisense instance.
 */
export interface GetHierarchyModelsParams extends Omit<GetHierarchyModelsParamsPreact, 'enabled'> {
}
/**
 * Service for working with Sisense Fusion hierarchies.
 *
 * @group Fusion Assets
 * @fusionEmbed
 */
export declare class HierarchyService {
    private sisenseContextService;
    constructor(sisenseContextService: SisenseContextService);
    /**
     * Retrieves existing hierarchy models from the Sisense instance.
     *
     * @param params - Parameters to identify the target hierarchy models
     * @returns Hierarchy models array
     */
    getHierarchyModels(params: GetHierarchyModelsParams): Promise<HierarchyModel[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HierarchyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HierarchyService>;
}
