import { type GetWidgetModelParams as GetWidgetModelParamsPreact } from '@sisense/sdk-ui-preact';
import { SisenseContextService } from './sisense-context.service';
import * as i0 from "@angular/core";
/**
 * Parameters for retrieving an existing widget model from the Sisense instance
 */
export interface GetWidgetModelParams extends Omit<GetWidgetModelParamsPreact, 'enabled'> {
}
/**
 * Service for working with Sisense Fusion widgets.
 *
 * @group Fusion Assets
 * @fusionEmbed
 */
export declare class WidgetService {
    private sisenseContextService;
    constructor(sisenseContextService: SisenseContextService);
    /**
     * Retrieves an existing widget model from the Sisense instance.
     *
     * @param params - Parameters to identify the target widget
     * @returns Widget model
     */
    getWidgetModel(params: GetWidgetModelParams): Promise<import("@sisense/sdk-ui-preact").WidgetModel>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WidgetService>;
}
